Package ghidra.jython

# Class JythonScriptProvider

java.lang.Object
ghidra.app.script.GhidraScriptProvider
ghidra.app.script.AbstractPythonScriptProvider
ghidra.jython.JythonScriptProvider

All Implemented Interfaces:
  `ExtensionPoint`, `Comparable<GhidraScriptProvider>`

public class JythonScriptProvider extends AbstractPythonScriptProvider
A `GhidraScriptProvider` used to run Jython scripts

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JythonScriptProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns a description for this type of script.
  `String`
  `getRuntimeEnvironmentName()`
  Returns an optional runtime environment name of a `GhidraScriptProvider` that scripts can specify they require to run under.
  `GhidraScript`
  `getScriptInstance(ResourceFile sourceFile, PrintWriter writer)`
  Returns a GhidraScript instance for the specified source file.

  ### Methods inherited from class ghidra.app.script.AbstractPythonScriptProvider

  `createNewScript, getBlockCommentEnd, getBlockCommentStart, getCertificationBodyPrefix, getCertifyHeaderEnd, getCertifyHeaderStart, getCommentCharacter, getExtension`

  ### Methods inherited from class ghidra.app.script.GhidraScriptProvider

  `compareTo, deleteScript, equals, fixupName, hashCode, toString, writeBody, writeHeader`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JythonScriptProvider

    public JythonScriptProvider()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Description copied from class: `GhidraScriptProvider`
    Returns a description for this type of script.
    Specified by:
      `getDescription` in class `AbstractPythonScriptProvider`
    Returns:
      a description for this type of script

  - ### getRuntimeEnvironmentName

    public String getRuntimeEnvironmentName()
    Description copied from class: `GhidraScriptProvider`
    Returns an optional runtime environment name of a `GhidraScriptProvider` that scripts can specify they require to run under. Useful for when more than one `GhidraScriptProvider` uses the same file extension.
    Specified by:
      `getRuntimeEnvironmentName` in class `AbstractPythonScriptProvider`
    Returns:
      an optional runtime environment name of a `GhidraScriptProvider` that scripts can specify they require to run under (could be null if there is no requirement)
    See Also:
      - `ScriptInfo.AT_RUNTIME`

  - ### getScriptInstance

    public GhidraScript getScriptInstance(ResourceFile sourceFile, PrintWriter writer) throws GhidraScriptLoadException
    Description copied from class: `GhidraScriptProvider`
    Returns a GhidraScript instance for the specified source file.
    Specified by:
      `getScriptInstance` in class `AbstractPythonScriptProvider`
    Parameters:
      `sourceFile` - the source file
      `writer` - the print writer to write warning/error messages. If the error prevents success, throw an exception instead. The caller will print the error.
    Returns:
      a GhidraScript instance for the specified source file
    Throws:
      `GhidraScriptLoadException` - when the script instance cannot be created